<!DOCTYPE html>
<html lang="{{ config('app.locale') }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Paper Pi</title>
    <link rel="stylesheet" type="text/css" class="ui" href="/css/semantic.min.css">
    <link rel="stylesheet" type="text/css" class="ui" href="/css/app.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.slim.min.js"></script>
    <script src="/js/semantic.min.js"></script>
    <script src="/js/printer.js"></script>

</head>
<body>
<div class="">

    @yield('content')

</div>

<script>
    window.onload = load;

    function load() {

        var printer = new Printer();
        printer.init();

        $('.ui.dropdown').dropdown();


        $('.ui.file.input').find('input:not(.url):text, .ui.button.trigger')
            .on('click', function (e) {
                $(e.target).parent().find('input:file').click();
            })
        ;

        $('input:file', '.ui.file.input')
            .on('change', function (e) {
                var file = $(e.target);
                var name = '';

                for (var i = 0; i < e.target.files.length; i++) {
                    name += e.target.files[i].name + ', ';
                }
                // remove trailing ","
                name = name.replace(/,\s*$/, '');

                $('input:text', file.parent()).val(name);
            });

    }

</script>

</body>
</html>
